package com.sundot.airport.check.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sundot.airport.check.domain.CheckTask;

/**
 * 检查任务Mapper接口
 *
 * @author ruoyi
 * @date 2025-09-07
 */
public interface CheckTaskMapper extends BaseMapper<CheckTask> {
    /**
     * 查询检查任务
     *
     * @param id 检查任务主键
     * @return 检查任务
     */
    public CheckTask selectCheckTaskById(Long id);

    /**
     * 查询检查任务列表
     *
     * @param checkTask 检查任务
     * @return 检查任务集合
     */
    public List<CheckTask> selectCheckTaskList(CheckTask checkTask);

    /**
     * 新增检查任务
     *
     * @param checkTask 检查任务
     * @return 结果
     */
    public int insertCheckTask(CheckTask checkTask);

    /**
     * 修改检查任务
     *
     * @param checkTask 检查任务
     * @return 结果
     */
    public int updateCheckTask(CheckTask checkTask);

    /**
     * 删除检查任务
     *
     * @param id 检查任务主键
     * @return 结果
     */
    public int deleteCheckTaskById(Long id);

    /**
     * 批量删除检查任务
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCheckTaskByIds(Long[] ids);

    /**
     * 查询检查任务列表web端
     *
     * @param checkTask 检查任务
     * @return 检查任务集合
     */
    public List<CheckTask> selectCheckTaskListWeb(CheckTask checkTask);

    /**
     * 查询检查任务列表web端
     *
     * @param checkTask 检查任务
     * @return 检查任务集合
     */
    public List<CheckTask> selectCheckTaskListBrigadeWeb(CheckTask checkTask);
}
